import React from 'react';
// import { IoMdCloseCircleOutline } from '@react-icons/all-files/io/IoMdCloseCircleOutline';
import { replaceWith } from '~helpers/strings';

export const contactUsForm = {
  ie_en: {
    title: {
      label: 'Send us a message',
      translationKey: 'send_us_a_msg',
    },
    twoCol: false,
    hasReCAPTCHA: false,
    reCaptcha: {
      // validations: {
      //   label: 'Please confirm',
      //   translationKey: 'valid_recaptcha',
      //   icon: <IoMdCloseCircleOutline />,
      // }
    },
    fields: [
      {
        label: 'Name',
        translationKey: 'full_name',
        id: 'name',
        type: 'text',
        placeholder: {
          label: 'Your Name',
          translationKey: 'placeholder_name',
        },
        twoCol: true,
        // validations: {
        //   label: 'Please enter a name',
        //   translationKey: 'valid_name',
        //   icon: <IoMdCloseCircleOutline />,
        // }
      },
      {
        label: 'Email Address',
        id: 'email',
        type: 'email',
        placeholder: {
          label: 'Email@placeholder.com',
          translationKey: 'placeholder_email',
        },
        translationKey: 'email',
        twoCol: true,
        // validations: {
        //   label: 'Please enter a valid email address',
        //   translationKey: 'valid_email',
        //   icon: <IoMdCloseCircleOutline />,
        // }
      },
      {
        label: 'Subject',
        id: 'subject',
        type: 'text',
        placeholder: {
          label: 'What is it about',
          translationKey: 'placeholder_subject',
        },
        translationKey: 'subject',
        twoCol: true,
        // validations: {
        //   label: 'Please enter a subject',
        //   translationKey: 'valid_subject',
        //   icon: <IoMdCloseCircleOutline />,
        // }
      },
      {
        label: 'Message',
        id: 'comment',
        type: 'textarea',
        placeholder: {
          label: 'Write something',
          translationKey: 'placeholder_message',
        },
        translationKey: 'message',
        maxLength: '1000',
        twoCol: false,
        // validations: {
        //   label: 'Please enter a message',
        //   translationKey: 'valid_message',
        //   icon: <IoMdCloseCircleOutline />,
        // }
      },
      {
        id: 'tnc',
        type: 'checkbox',
        required: true,
        translationKey: 'checkbox_translation',
        twoCol: false,
        options: [
          {
            id: 'tnc',
            label: replaceWith(
              '+18 Lorem ipsum dolor sit amet consectetur. Egestas nibh ullamcorper venenatis vulputate. Sed elit diam at id feugiat orci ornare [keyword]',
              '[keyword]',
              <a href="/privacy-policy">Privacy Policy</a>
            ),
            translationKey: 'option_one_translation',
          },
        ],
        // validations: {
        //   label: 'Please select at least one',
        //   translationKey: 'valid_check',
        //   icon: <IoMdCloseCircleOutline />,
        // }
      },
    ],
  },
};

export const newsLetterForm = {
  ie_en: {
    title: {
      label: 'Sign up To our newsletters ',
      translationKey: 'sign_up_newsletter',
    },
    description: {
      label:
        "If you have questions about our reviews, games or content, or just want to leave some feedback, the Irish Luck team would love to hear from you. You can contact us any time using the details below and we'll endeavour to get back to you within 48 hours.",
      translationKey: 'contact_us_questions',
    },
    twoCol: true,
    hasReCAPTCHA: false,
    fields: [
      {
        label: 'Name',
        id: 'name',
        type: 'text',
        placeholder: 'Text placeholder',
        translationKey: 'text_translation',
        twoCol: true,
        // required: true,
      },
      {
        label: 'Email Address',
        id: 'email',
        type: 'email',
        placeholder: 'Email@placeholder.com',
        translationKey: 'email_translation',
        twoCol: true,
        // required: true,
      },
      {
        label: 'Terms',
        id: 'tnc',
        type: 'checkbox',
        required: true,
        translationKey: 'checkbox_translation',
        twoCol: false,
        options: [
          {
            id: 'tnc',
            label: replaceWith(
              '+18 Lorem ipsum dolor sit amet consectetur. Egestas nibh ullamcorper venenatis vulputate. Sed elit diam at id feugiat orci ornare [keyword]',
              '[keyword]',
              <a href="/privacy-policy">Privacy Policy</a>
            ),
            translationKey: 'option_one_translation',
          },
        ],
      },
    ],
  },
};
